opensp (1.5.2-15ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop the build dependencies on poppler-utils.
    - Don't configure with --enable-full-doc-build.
    - Don't ship the release notes in pdf and ps formats.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Feb 2024 13:29:43 +0100

opensp (1.5.2-15) unstable; urgency=medium

  * Fixed missing dependencies for libosp-dev, thanks to Niko Tyni and
    Gregor Herrmann (Closes: #1060323).
  * Changed build dependency on jadetex to texlive-formats-extra, thanks
    to Norbert Preining (Closes: #871755).

 -- Neil Roeth <neil@debian.org>  Thu, 11 Jan 2024 22:48:37 -0500

opensp (1.5.2-14) unstable; urgency=medium

  * Added parallel build
  * Updated to source format 3.0 (quilt) (Closes: #1007085).
  * Updated debhelper compatibility level to 13.

 -- Neil Roeth <neil@debian.org>  Thu, 28 Dec 2023 18:09:16 -0500

opensp (1.5.2-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * control: Add pkg.opensp.bootstrap build profile that avoids various
    dependencies and thus breaks dependencies loops. (Closes: #869835).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Nov 2023 00:53:15 +0100

opensp (1.5.2-13ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:11 +0100

opensp (1.5.2-13ubuntu2) zesty; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Apr 2017 15:50:45 +0000

opensp (1.5.2-13ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop the build dependencies on poppler-utils and jadetex.
    - Don't configure with --enable-full-doc-build.
    - Don't ship the release notes in pdf and ps formats.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 10:31:02 +0100

opensp (1.5.2-13) unstable; urgency=medium

  * Revert NMU accidentally removed in last version.

 -- Neil Roeth <neil@debian.org>  Thu, 29 Oct 2015 21:17:43 -0400

opensp (1.5.2-12) unstable; urgency=medium

  * Removed build dependency on openjade1.3.

 -- Neil Roeth <neil@debian.org>  Thu, 29 Oct 2015 19:30:36 -0400

opensp (1.5.2-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf to allow building on ppc64el. Closes: #747127, #759104

 -- Andreas Barth <aba@ayous.org>  Sun, 24 Aug 2014 14:47:33 +0000

opensp (1.5.2-11ubuntu2) utopic; urgency=medium

  * libosp-dev: Lower recommendation on c++-compiler to a suggestion.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Aug 2014 10:13:25 +0200

opensp (1.5.2-11ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Use dh-autoreconf to get current libtool.
    - Drop the build dependencies on poppler-utils and jadetex.
    - Don't configure with --enable-full-doc-build.
    - Don't ship the release notes in pdf and ps formats.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 May 2014 19:40:03 +0000

opensp (1.5.2-11) unstable; urgency=medium

  * Apply patch to enable bootstrap building. (Closes: #738449).
  * Fixed some lintian warnings - removed brace expansion in *.install
    files, switched to dpkg-buildflags to eliminate hardening warnings.

 -- Neil Roeth <neil@debian.org>  Thu, 06 Mar 2014 19:50:29 -0500

opensp (1.5.2-10ubuntu3) trusty; urgency=medium

  * Use dh-autoreconf to get current libtool.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 14 Dec 2013 00:05:04 -0800

opensp (1.5.2-10ubuntu2) saucy; urgency=low

  * Build depend on openjade again (test suite fails with jade on armhf).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Jul 2013 15:09:33 +0200

opensp (1.5.2-10ubuntu1) saucy; urgency=low

  * Drop the build dependencies on poppler-utils, openjade, jadetex.
  * Don't configure with --enable-full-doc-build.
  * Don't ship the release notes in pdf and ps formats.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Jul 2013 12:48:41 +0000

opensp (1.5.2-10build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 08:36:26 +0100

opensp (1.5.2-10) unstable; urgency=low

  * Change order of build dependency on openjade/openjade1.3 to work
    around build issue. (Closes: #643845).
  * Stop including libosp.la in the libosp-dev package. (Closes: #628588).

 -- Neil Roeth <neil@debian.org>  Sat, 08 Oct 2011 18:03:06 -0400

opensp (1.5.2-9) unstable; urgency=low

  * Fixed bug reading locale files (closes: #611710).  Required changes to
    autotools scripts:
  - Use AX_DEFINE_DIR instead of AC_DEFINE_DIR.
  - Define SP_LOCALE_DIR as value of "localedir" rather than "datadir/locale".
  * Other autotools changes indirectly required by the above:
  - Added --warnings=no-portability to automake call.
  - Added AC_USE_SYSTEM_EXTENSIONS.
  * Updated standards version to 3.9.2.0 (no changes, but filed bug 628588
    for policy recommendation regarding .la files).

 -- Neil Roeth <neil@debian.org>  Mon, 30 May 2011 11:48:25 -0400

opensp (1.5.2-8) unstable; urgency=low

  * Switch from deprecated xpdf-utils to poppler-utils in build
    depends. (Closes: #549394).
  * Updated standards version to 3.8.3.0 (no changes).

 -- Neil Roeth <neil@debian.org>  Sun, 04 Oct 2009 17:59:27 -0400

opensp (1.5.2-7) unstable; urgency=low

  * Build with updated version of g++; removed use of g++ 4.1 on arm since
    it appears to work with later compiler now. (Closes: #533805).
  * Fix man page by removing gap. (Closes: #530962).
  * Updated standards version (no changes).
  * Updated to debhelper compat level 7.

 -- Neil Roeth <neil@debian.org>  Wed, 01 Jul 2009 22:02:19 -0400

opensp (1.5.2-6) unstable; urgency=low

  * Compile with g++ 4.1 on arm. (Closes: #479273).

 -- Neil Roeth <neil@debian.org>  Tue, 08 Jul 2008 21:39:08 -0400

opensp (1.5.2-5) unstable; urgency=low

  * Use pdftops instead of pdf2ps in the hope that it works on hppa and
    sparc. pdf2ps has lots of bugs filed for problems on that
    architecture. Correspondingly depend on xpdf-utils instead of
    gs-common.

 -- Neil Roeth <neil@debian.org>  Fri, 18 Apr 2008 23:26:11 -0400

opensp (1.5.2-4) unstable; urgency=low

  * Verified OpenSP builds with gcc 4.3.
  * Added comment to README.Debian about needing to explicitly specify
    declaration in some cases due to dropping DTDDECL support.  (Closes:
    #345478, #350797).

 -- Neil Roeth <neil@debian.org>  Tue, 15 Apr 2008 21:55:06 -0400

opensp (1.5.2-3) unstable; urgency=low

  * Fixed "FTBFS on hurd-i386: Unconditional use of system limit macros"
    reported by and patch supplied by Michael Banck. Thanks,
    Michael. (closes: #344722)
  * Fixed "osx man page refers to nonexistent onsgmlnorm".  Thanks, Peter
    Eisentraut. (closes: #353078)

 -- Neil Roeth <neil@debian.org>  Tue, 20 Jun 2006 03:02:32 -0400

opensp (1.5.2-2) unstable; urgency=low

  * debian/rules: autoinit.sh is in top level dir, not debian dir.
  * Fix bug "segfaults in OpenSP::ParsedSystemId::unparse" submitted by
    Filipus Klutiero with patch submitted by Samuel Bronson, thanks to
    both. (closes: #361894)
  * Fixed bug "wrong dependencies" by removing dependencies of libosp-dev
    on packages that are part of build-essential: libc6-dev (directly) and
    libstdc++-dev (indirectly, but explicitly mentioned as unnecessary);
    thanks to Matthias Klose. (closes: #352944)

 -- Neil Roeth <neil@debian.org>  Sun, 18 Jun 2006 13:53:10 -0400

opensp (1.5.2-1) unstable; urgency=low

  * New upstream release
  * Use new --disable-dtddecl option to turn off DTDDECL support and get
    decent performance - finally! (closes: #138924, #208042)
  * New release now automatically builds docs.  Updated Build-Depends to
    suit.
  * New package name for library (libosp5) because of soname change.
  * Upstream man pages were modified to fix "onsgmls.1.gz etc.: NAME
    section too long" (closes: #341644)
  * The bug "opensp: strange error when parsing an HTML file with onsgmls
    using stdin" was present through the last release, and there does not
    appear to be any explicit bug fix upstream that fixed this, but
    testing shows it is fixed in this release. (closes: #170795)

 -- Neil Roeth <neil@debian.org>  Sun, 18 Dec 2005 11:22:16 -0500

opensp (1.5.1.0-4) unstable; urgency=low

  * Fix French translation, thanks to Yann Dirson. (closes: #240996)
  * Fix German translation, thanks to Jens Seidel (closes: #313938)

 -- Neil Roeth <neil@debian.org>  Mon, 22 Aug 2005 22:54:28 -0400

opensp (1.5.1.0-3) unstable; urgency=low

  * Added autoinit.sh from SourceForge web site, missing from package.
  * Acknowledge NMU. (closes: #260797, #311967)
  * Removed /usr/local/lib/sgml (removed /usr/lib/sgml in -2).
  * rules: Added dh_buildinfo.

 -- Neil Roeth <neil@debian.org>  Mon, 18 Jul 2005 22:42:05 -0400

opensp (1.5.1.0-2.1) unstable; urgency=low

  * NMU for C++ transition.
    - Changed libosp4 into libosp4c2
    - Make libosp4c2 conflicts with libosp4
    - Make libosp4c2 replaces libosp4
  * Fixed build with gcc-4.0. Thanks to Andreas Jochen for the patch (closes:
    bug#260797).
  * Updated libtool to make sure the library depends on libstdc++. That also
    fixes the build on GNU/kFreeBSD (closes: bug#311967).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 15 Jul 2005 18:24:48 +0200

opensp (1.5.1.0-2) unstable; urgency=low

  * Added /usr/share/sgml to default sgml search path. (closes: #231594)
  * Removed /usr/lib/sgml from default sgml search path; it is
    deprecated. The old sp program has not had this path for a while, with
    no bugs reported, so I concluded this is safe to do.
  * Changed list of default catalogs, all of the form */catalog, to single
    entry, "/etc/sgml/catalog".  Any system catalog not found this way is
    broken.
  * /usr/share/doc/opensp/sysid.htm has an explanation that makes clear
    why the above changes are valid.

 -- Neil Roeth <neil@debian.org>  Sun, 14 Mar 2004 14:44:09 -0500

opensp (1.5.1.0-1) unstable; urgency=low

  * New upstream release (no change from pre1)
  * Fix FTBFS due to documentation building tools which are not needed for
    normal package builds (docs ship with package).

 -- Neil Roeth <neil@debian.org>  Wed, 22 Oct 2003 16:05:01 -0400

opensp (1.5.1pre1-1) unstable; urgency=low

  * New upstream release (almost):
  - Fixes "opensp: Segmentation fault with osx" from Philippe Batailler
    (closes: #198641)
  - New ABI, so replaced libosp3c102 with new library package
    libosp4. Upstream incorporated my changes to configure.in and gettext
    so that libosp4 can coexist with older versions of libosp, if
    necessary (see 1.5release-4 changelog).
  - Added build dependency on openjade | openjade1.3, jadetex,
    xmlto and docbook-xsl for documentation building.
  - Change of libosp3c102 to libosp4 neatly sidesteps the problems that
    arose in dist-upgrading from libosp2 or libosp3 to libosp3c102. With
    this release, dist-upgrading from any of libosp2 (stable), libosp3
    (old testing), and libosp3c102 (recent testing) to libosp4 (unstable)
    all work properly. (closes: #204219)
  * Cleaned up debian/rules by replacing many commands with debhelper
    equivalents.
  * Upgraded to Standards-Version 3.6.1: no changes.

 -- Neil Roeth <neil@debian.org>  Mon, 15 Sep 2003 14:51:19 -0400

opensp (1.5release-4) unstable; urgency=low

  * Made earliest libosp version that opensp can depend on 1.5release-0.1
    (closes: #170253)
  * Changed section of libosp-dev to libdevel to match current override.
  * Changed use of DEB_BUILD_OPTIONS to conform to policy:
    - set -g by default instead of -O2
    - add -O2 if "noopt" is present, else -O0
    - do nothing if "debug" is present rather than add -g
  * Fixed failure to dist-upgrade.  Required allowing libosp3c102 to
    coexist with libosp2, upon which new and old versions of opensp
    depend.  These changes had the side effect of undoing the change that
    closed 186051 and fixing it properly. (closes: #184645)
    - Set Conflicts:, Replaces: and Provides: for libosp3c102 to libosp3.
    - Moved libosp version info to configure.in.
    - Versionized the gettext files with libosp version info, so sp.mo becomes
    sp3.mo for each locale.
  * Added call to dh_makeshlibs followed by call to dh_shlibdeps, exactly
    like the example in man page for dh_shlibdeps.
  * Upgraded to Standards-Version 3.6.0

 -- Neil Roeth <neil@debian.org>  Fri,  1 Aug 2003 17:05:35 -0400

opensp (1.5release-3) unstable; urgency=low

  * Reordered definitions of classes in Attribute.h to resolve compile
    errors when using g++ 3.3.

 -- Neil Roeth <neil@debian.org>  Fri, 23 May 2003 21:26:14 -0400

opensp (1.5release-2) unstable; urgency=low

  * New maintainer (closes: #170867)
  * Added libosp2 to Conflicts: for libosp3c102 (closes: #186051)
  * Replaced call to dh_undocumented with new ospcat man page derived from
    html; fixes lintian error due to policy change.

 -- Neil Roeth <neil@debian.org>  Mon, 19 May 2003 17:35:11 -0400

opensp (1.5release-1.1) unstable; urgency=low

  * NMU
  * [debian/rules] Introduced "sources-update" target.
  * [configure.in] Define ALL_LINGUAS; added AM_MAINTAINER_MODE.
  * Re-auto*ed the source package so it supports shared libraries on mips and
    mipsel. (Closes: #176567)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 16 Mar 2003 14:25:27 +0100

opensp (1.5release-1) unstable; urgency=low

  * New gcc2.3 build

 -- Chad Miller <cmiller@debian.org>  Fri, 10 Jan 2003 21:39:11 +0000

opensp (1.5release-0.1) unstable; urgency=low

  * NMU
  * Final upstream release for 1.5.
  * Removed the --enable-xml-messages flag to ./configure, which was a
    leftover from old tests with pre-release openjades.
  * More upstream manpages.
  * Hacked debian/rules so that the manpages do not get installed in
  * all 3 binary packages.

 -- Yann Dirson <dirson@debian.org>  Tue, 26 Nov 2002 01:17:14 +0100

opensp (1.5pre9-0.1) unstable; urgency=low

  * NMU
  * New upstream release
  * Updated config.{guess,sub} so that mipsel is recognized (Closes:
    #167458).

 -- Yann Dirson <dirson@debian.org>  Mon, 18 Nov 2002 23:46:02 +0100

opensp (1.5pre8-0.1) unstable; urgency=low

  * NMU
  * New upstream release (Closes: #165810).
  * Ignored all modifications to upstream code, most of them being in
    upstream, or conflicting.
  * Commented out regeneration of autotools files, do not build-depend on
    them any more.  Run distclean instead of maintainer-clean.
  * libosp soname bumped to 3, changed package name in accordance, and
    replaced references to libosp2 in docs with generic libosp.
  * Configure with --enable-xml-messages.

 -- Yann Dirson <dirson@debian.org>  Mon, 28 Oct 2002 08:33:43 +0100

opensp (1.5pre5-5.1) unstable; urgency=low

  * NMU
  * Removed "AC_SUBST(LIBOBJS)" from configure.in . The LIBOBJS variable
    wasn't getting used and generated an error with autoconf 2.52.
    Added "AC_SUBST(CATALOGS)" to configure.in . Regenerated build system.
    (Closes: #142095, #148619)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 31 Aug 2002 14:03:29 +0200

opensp (1.5pre5-5) unstable; urgency=low

  * moved declaration to usr/share/sgml/, to be compliant with sgml-base.
  * changed maintainer.  (closes Bug#110803)

 -- Chad Miller <cmiller@debian.org>  Tue, 18 Sep 2001 00:02:17 +0000

opensp (1.5pre5-4) unstable; urgency=low

  * libosp-dev now has proper depends on libosp2 and opensp, modified
    patch from Yann Dirson
    closes: #107239
  * remove obsolete OJ_CHECK_SIZEOF, which was causing autoheader to puke
  * require autoconf 2.52

 -- Adam Di Carlo <aph@debian.org>  Fri, 31 Aug 2001 02:57:53 -0400

opensp (1.5pre5-3) unstable; urgency=low

  * debian/control: fix missing build-depends on gettext
    closes: #105961

 -- Adam Di Carlo <aph@debian.org>  Mon, 30 Jul 2001 00:50:34 -0400

opensp (1.5pre5-2) unstable; urgency=low

  * ship PO files in libosp package
  * some upstream changes from CVS, not yet released; this version will
    call itself 1.5pre6, however
  * nsgmls: apply a patch which should enable compilation on gcc 3.0
    closes: #103791
  * debian/rules: make maintainer-clean upstream is incredibly fragile,
    so tolerate errors there until that gets fixed
  * debian/rules: during build, run libtoolize --force to replace this
    libtoolize stuff, which is needed for arches which diverge from the
    libtool stuff OpenSP ships with
    closes: #101837, #104126
  * debian/rules, control: use dh_shlibdeps, remove some hand-rolled stuff
    here which was unnecessary and in fact adding two libosp deps on the
    opensp package, not to mention that it stopped working

 -- Adam Di Carlo <aph@debian.org>  Tue, 10 Jul 2001 16:07:33 -0400

opensp (1.5pre5-1) unstable; urgency=low

  * new upstream version
  * debian/control: libosp2 goes in libs (override disparity)
  * debian/control: libosp-dev goes in devel (request change from text,
    mail sent to override-change@debian.org)
  * debian/rules: clean, then maintainer-clean 

 -- Adam Di Carlo <aph@debian.org>  Mon, 19 Feb 2001 01:02:04 -0500

opensp (1.5pre4-5) unstable; urgency=low

  * debian/rules: handle DEB_BUILD_OPTIONS
  * debian/control: update to policy 3.5.0
  * a few minor upstream fixes

 -- Adam Di Carlo <aph@debian.org>  Fri,  2 Feb 2001 21:39:04 -0500

opensp (1.5pre4-4) unstable; urgency=low

  * patch from Christopher C. Chimelis to enable compilation on 64-bit
    platforms (closes: Bug#71952)
  * configure.in is more careful about po/Makefile.in, although we still
    seem to get some circular situations
  * debian/rules: put doc/*.htm in opensp doc dir (closes: Bug#68002)

 -- Adam Di Carlo <aph@debian.org>  Sun, 15 Oct 2000 02:49:09 -0400

opensp (1.5pre4-3) unstable; urgency=low

  * they changed the major shared library version for libosp from 1 to 2,
    but my last version didn't reflect that; conflict with libosp1, which
    should be removed from the archive
  * some more upstream patches from CVS

 -- Adam Di Carlo <aph@debian.org>  Sat, 20 May 2000 02:08:36 -0400

opensp (1.5pre4-2) unstable; urgency=low

  * debian/control: add Build-Depends
  * fix ordering of aclocal/autoheader
  * back out bad patch to acconfig.h

 -- Adam Di Carlo <aph@debian.org>  Mon,  8 May 2000 22:21:48 -0400

opensp (1.5pre4-1) unstable; urgency=low

  * new upstream version, prerelease
  * debian/copyright.Debian: update locations
  * debian/libosp-dev.README: added
  * debian/rules: crank up the lib depends to 1.5pre4-1;
    lintian cleanups and minor stuff
  * acconfig.h: patch for HAVE_BOOL problem
  * README: updates, some URLs
  * Makefile.am, */Makefile.am: 'maintainer-clean' is cleaner; this helps
    the debian/rules clean target quite a bit

 -- Adam Di Carlo <aph@debian.org>  Sat,  6 May 2000 00:17:29 -0400

opensp (1.4-1) unstable; urgency=low

  * new upstream version, use pristine upstream source
  * upload to unstable (woody)
  * rules: bump shlibs.local to 1.4-1

 -- Adam Di Carlo <aph@debian.org>  Sun,  6 Feb 2000 14:29:15 -0500

opensp (1.4-0.pre3-1) experimental; urgency=low

  * new package
  * does not yet include man pages

 -- Adam Di Carlo <aph@debian.org>  Wed, 29 Dec 1999 01:43:51 -0500


